commit:     0b12111fda0e3e00c201e5c52003259788f2ca15
Author:     Jakov Smolic <jakov.smolic <AT> sartura <DOT> hr>
AuthorDate: Mon Dec 28 14:15:42 2020 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Mon Dec 28 14:15:42 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0b12111f

sci-electronics/geda: Port to EAPI 7

Closes: https://bugs.gentoo.org/707892
Package-Manager: Portage-3.0.9, Repoman-3.0.1
Signed-off-by: Jakov Smolic <jakov.smolic <AT> sartura.hr>
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 .../geda/files/geda-1.9.2-fno-common.patch         | 97 ++++++++++++++++++++++
 sci-electronics/geda/geda-1.9.2-r1.ebuild          | 75 ++++++++---------
 2 files changed, 132 insertions(+), 40 deletions(-)

diff --git a/sci-electronics/geda/files/geda-1.9.2-fno-common.patch 
b/sci-electronics/geda/files/geda-1.9.2-fno-common.patch
new file mode 100644
index 00000000000..c509b42904a
--- /dev/null
+++ b/sci-electronics/geda/files/geda-1.9.2-fno-common.patch
@@ -0,0 +1,97 @@
+--- a/gschem/include/globals.h
++++ b/gschem/include/globals.h
+@@ -27,7 +27,7 @@
+ extern GList *global_window_list;
+ 
+ /* Manager for recently used files */
+-GtkRecentManager *recent_manager;
++extern GtkRecentManager *recent_manager;
+ 
+ /* colors */
+ extern GdkColor white;
+--- a/gschem/src/globals.c
++++ b/gschem/src/globals.c
+@@ -28,6 +28,8 @@
+ /* window list */
+ GList *global_window_list = NULL;
+ 
++GtkRecentManager *recent_manager = NULL;
++
+ char *rc_filename     = NULL;
+ char *output_filename = NULL;
+ 
+--- a/gattrib/include/globals.h
++++ b/gattrib/include/globals.h
+@@ -88,7 +88,7 @@
+  * structs.h
+  */
+ /*------------------------------------------------------------------*/
+-TOPLEVEL *pr_current;
++extern TOPLEVEL *pr_current;
+ 
+ /*------------------------------------------------------------------*/
+ /*!
+@@ -97,7 +97,7 @@ TOPLEVEL *pr_current;
+  * callbacks.  It is defined in structs.h
+  */
+ /*------------------------------------------------------------------*/
+-SHEET_DATA *sheet_head;
++extern SHEET_DATA *sheet_head;
+ 
+ /*------------------------------------------------------------------
+  * GTKsheet includes: stuff for dealing with windows.
+@@ -106,18 +106,18 @@ SHEET_DATA *sheet_head;
+ #define DEFAULT_SPACE 8
+ #define NUM_SHEETS 3            /* Components, Nets, and Pins */
+ 
+-GtkWidget *window;              /* Main window */
+-GtkWidget *notebook;
++extern GtkWidget *window;              /* Main window */
++extern GtkWidget *notebook;
+ 
+-GtkSheet **sheets;             /* These are the spreadsheet widgets 
themselves */
++extern GtkSheet **sheets;             /* These are the spreadsheet widgets 
themselves */
+ 
+-GtkWidget **scrolled_windows;
+-GtkWidget *entry;
+-GtkWidget *location;
+-GtkWidget *left_button;
+-GtkWidget *center_button;
+-GtkWidget *right_button;
+-GtkWidget *label;
++extern GtkWidget **scrolled_windows;
++extern GtkWidget *entry;
++extern GtkWidget *location;
++extern GtkWidget *left_button;
++extern GtkWidget *center_button;
++extern GtkWidget *right_button;
++extern GtkWidget *label;
+ 
+ /* command line switch settings */
+ extern int verbose_mode;
+--- a/gattrib/src/globals.c
++++ b/gattrib/src/globals.c
+@@ -34,6 +34,23 @@
+ #include "../include/prototype.h"  /* function prototypes */
+ #include "../include/globals.h"
+ 
++TOPLEVEL *pr_current;
++
++SHEET_DATA *sheet_head;
++
++GtkWidget *window;
++GtkWidget *notebook;
++
++GtkSheet **sheets;
++
++GtkWidget **scrolled_windows;
++GtkWidget *entry;
++GtkWidget *location;
++GtkWidget *left_button;
++GtkWidget *center_button;
++GtkWidget *right_button;
++GtkWidget *label;
++
+ /* command line arguments */
+ int verbose_mode=FALSE; //!< Reflects the value of the command line flag
+ int quiet_mode=FALSE;   //!< Reflects the value of the command line flag

diff --git a/sci-electronics/geda/geda-1.9.2-r1.ebuild 
b/sci-electronics/geda/geda-1.9.2-r1.ebuild
index b0b3ffbf999..c85d6f34977 100644
--- a/sci-electronics/geda/geda-1.9.2-r1.ebuild
+++ b/sci-electronics/geda/geda-1.9.2-r1.ebuild
@@ -1,46 +1,47 @@
 # Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
-inherit autotools eutils xdg-utils gnome2-utils versionator
+EAPI=7
+
+inherit autotools xdg
 
 MY_PN=${PN}-gaf
 MY_P=${MY_PN}-${PV}
 
 DESCRIPTION="GPL Electronic Design Automation (gEDA):gaf core package"
 HOMEPAGE="http://wiki.geda-project.org/geda:gaf";
-SRC_URI="http://ftp.geda-project.org/${MY_PN}/unstable/v$(get_version_component_range
 1-2)/${PV}/${MY_P}.tar.gz"
+SRC_URI="http://ftp.geda-project.org/${MY_PN}/unstable/v$(ver_cut 
1-2)/${PV}/${MY_P}.tar.gz"
 
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="amd64 ppc x86"
 IUSE="debug doc examples nls stroke threads"
 
-CDEPEND="
+RDEPEND="
        dev-libs/glib:2
+       dev-scheme/guile
+       sci-electronics/electronics-menu
+       x11-libs/cairo
+       x11-libs/gdk-pixbuf
        x11-libs/gtk+:2
        x11-libs/pango
-       >=x11-libs/cairo-1.2.0
-       x11-libs/gdk-pixbuf
-       >=dev-scheme/guile-2.0.0
        nls? ( virtual/libintl )
-       stroke? ( >=dev-libs/libstroke-0.5.1 )"
+       stroke? ( dev-libs/libstroke )"
 
-DEPEND="${CDEPEND}
-       sys-apps/groff
+DEPEND="${RDEPEND}
        dev-util/desktop-file-utils
-       x11-misc/shared-mime-info
+       x11-misc/shared-mime-info"
+BDEPEND="
+       sys-apps/groff
        virtual/pkgconfig
-       nls? ( >=sys-devel/gettext-0.16 )"
-
-RDEPEND="${CDEPEND}
-       sci-electronics/electronics-menu"
-
-S=${WORKDIR}/${MY_P}
+       nls? ( sys-devel/gettext )"
 
-DOCS="AUTHORS NEWS README"
+S="${WORKDIR}/${MY_P}"
 
-PATCHES=( "${FILESDIR}"/${P}-guile-2.2.patch )
+PATCHES=(
+       "${FILESDIR}"/${P}-guile-2.2.patch
+       "${FILESDIR}"/${P}-fno-common.patch
+)
 
 src_prepare() {
        default
@@ -65,36 +66,30 @@ src_prepare() {
        sed -i -e 's/sarlacc_schem_LDFLAGS =/sarlacc_schem_LDFLAGS = 
$(GIO_LIBS)/' \
                contrib/sarlacc_schem/Makefile.am || die
 
+       rm docs/wiki/media/geda/gsch2pcb-libs.tar.gz || die
+
        eautoreconf
 }
 
 src_configure() {
-       econf \
-               $(use_enable threads threads posix) \
-               $(use_with stroke libstroke) \
-               $(use_enable nls) \
-               $(use_enable debug assert) \
-               --disable-doxygen \
-               --disable-rpath \
+       local myconf=(
+               --disable-doxygen
+               --disable-rpath
                --disable-update-xdg-database
+               $(use_enable debug assert)
+               $(use_enable nls)
+               $(use_enable threads threads posix)
+               $(use_with stroke libstroke)
+       )
+
+       econf "${myconf[@]}"
 }
 
 src_test() {
        emake -j1 check
 }
 
-pkg_preinst() {
-       gnome2_icon_savelist
-}
-
-pkg_postinst() {
-       xdg_desktop_database_update
-       xdg_mimeinfo_database_update
-       gnome2_icon_cache_update
-}
-
-pkg_postrm() {
-       xdg_desktop_database_update
-       xdg_mimeinfo_database_update
-       gnome2_icon_cache_update
+src_install() {
+       default
+       find "${ED}" -name '*.la' -delete || die
 }

Reply via email to